.top-slider {
	display: flex;
	position: relative;
	min-height: 37rem;
	width: 100vw;
	margin: 0;
}
.top-slide{
	position: absolute;
	height: 100%; width: 100%;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	opacity: 0;
	transition: opacity 1s ease-in-out;
}
.top-slide:first-of-type{
    opacity: 1;
}
.top-slider-overlay{
    box-sizing: border-box; position: absolute; height: 100%; width: 100%;
}

.three-images, .three-images.rounded{
    display: flex; flex-direction: row;
    width: 62.5%; justify-content: center;
    margin: 2.5rem auto;
}
.three-images > div, .three-images.rounded > div{
    display: flex;
    width: 33.3%; max-width: 33.3%;
    height: auto;
    margin-top: 3rem; margin-bottom: 0;
    overflow: hidden;
}
.three-images > div:nth-of-type(2),.three-images.rounded > img:nth-of-type(2){
    margin-top: 0; margin-bottom: 3rem;
}
.three-images > div > img, .three-images.rounded > div > img{
    display: flex;
    width: 100%;
    height: auto;
    transition: transform 0.5s ease-out;
}
.three-images.rounded > div:nth-of-type(1){
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
}
.three-images.rounded > div:nth-of-type(2){
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
}
.three-images.rounded > div:nth-of-type(3){
    border-top-right-radius: 1rem;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
}

.three-images > div > img:hover{
	animation-name: three-pictures-hover;
	transform: scale(1.15);
}

.slider{
    display: flex; flex-direction: row; position: relative; height: 20rem; justify-content: center;
}
.slide{
    display: flex; width: 100%; position: absolute; opacity: 0;
    transition: opacity 0.5s ease-out;
}
.slide > img{
    display: flex;
    height: 20rem; width: auto;
}

.image-grid{
    display: block; margin: 2.5rem 0;
}
.image-grid > div{
    display: grid; grid-template-columns: repeat(3, 1fr);
    max-width: 65rem; margin: 0 auto;
    gap: 0.5rem;
}
.image-grid > div > div{
    position: relative; overflow: hidden;
    padding-bottom: 100%; background-color: #eeeeee;
}
.image-grid > div > div > img{
    position: absolute; top: 0; left: 0;
    width: 100%; height: 100%;
    object-fit: cover;
}

@media only screen and (max-width: 96rem){
	.top-slider {
		min-height: 44vh;
		max-height: 44vh;
		/*background-size: cover;*/
	}
	.three-images, .three-images.rounded{
        width: 80%;
    }
    .three-images > div, .three-images.rounded > div{
        margin-top: 2rem; margin-bottom: 0;
    }
    .three-images > div:nth-of-type(2),.three-images.rounded > img:nth-of-type(2){
        margin-top: 0; margin-bottom: 2rem;
    }
}
@media only screen and (max-width: 48rem){
	.top-slider {
		min-height: 40vh;
		max-height: 40vh;
		/*background-size: cover;*/
	}
	.three-images, .three-images.rounded{
        width: 100%;
    }
    .three-images > div, .three-images.rounded > div{
        margin-top: 1rem; margin-bottom: 0;
    }
    .three-images > div:nth-of-type(2),.three-images.rounded > img:nth-of-type(2){
        margin-top: 0; margin-bottom: 1rem;
    }
    .three-images.rounded > div:nth-of-type(1){
        border-top-left-radius: 0.5rem;
        border-bottom-left-radius: 0.5rem;
        border-bottom-right-radius: 0.5rem;
    }
    .three-images.rounded > div:nth-of-type(2){
        border-top-left-radius: 0.5rem;
        border-top-right-radius: 0.5rem;
    }
    .three-images.rounded > div:nth-of-type(3){
        border-top-right-radius: 0.5rem;
        border-bottom-left-radius: 0.5rem;
        border-bottom-right-radius: 0.5rem;
    }
    .image-grid > div {
        grid-template-columns: repeat(2, 1fr); gap: 0.35rem;
    }
}
